Back to home page

Project CMSSW displayed by LXR

 
 

    


File indexing completed on 2021-02-14 14:28:07

0001 #!/bin/sh
0002 
0003 function die { echo $1: status $2 ; exit $2; }
0004 
0005 echo "TESTING BeamSpot From DB Read / Write codes ..."
0006 
0007 ## clean the input db file
0008 if test -f "EarlyCollision.db"; then
0009     rm -fr EarlyCollision.db
0010 fi
0011 
0012 # test write
0013 cmsRun ${LOCAL_TEST_DIR}/write2DB.py inputFile=${LOCAL_TEST_DIR}/EarlyCollision.txt || die "Failure running write2DB.py" $? 
0014 # test read
0015 cmsRun ${LOCAL_TEST_DIR}/readDB.py unitTest=True inputFile=${PWD}/EarlyCollision.db || die "Failure running readDB.py" $?